#
# spec file for package gpsim
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define         libversion 0

Name:           gpsim
Version:        0.30.0
Release:        1.42
Summary:        Simulator for Microchip's PIC Microcontrollers
License:        GPL-2.0+
Group:          Development/Tools/Other
Url:            http://gpsim.sourceforge.net/
Source:         http://downloads.sourceforge.net/project/gpsim/gpsim/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
%if 0%{?suse_version} >= 1200
BuildRequires:  gtkextra3-devel
%else
BuildRequires:  gtkextra2-devel
%endif
BuildRequires:  readline-devel
BuildRequires:  zlib-devel
BuildRequires:  popt-devel
BuildRequires:  gputils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gpsim is an open sourced simulator for Microchip's PIC microcontrollers. It
supports all three families of PICs: 12-bit, 14-bit, and 16-bit cores.


%package -n libgpsim%{libversion}
Summary:        Shared libraries from gpsim
Group:          Development/Libraries/C and C++
Obsoletes:      %name < %{version}
Provides:       %name = %{version}-%{release}

%description -n libgpsim%{libversion}
Shared libraries from gpsim for GTK wigets.

 
%package devel
Summary:        Development files for gpsim based applications
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description devel
This package contains files to develop applications using gpsim.

gpsim is an open sourced simulator for Microchip's PIC microcontrollers. It
supports all three families of PICs: 12-bit, 14-bit, and 16-bit cores.


%package examples
Summary:        Development files for gpsim based applications
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
%if 0%{?suse_version} >= 1210
BuildArch:      noarch
%endif

%description examples
gpsim is an open sourced simulator for Microchip's PIC microcontrollers. It
supports all three families of PICs: 12-bit, 14-bit, and 16-bit cores.


%prep
%setup -q


%build
%configure --disable-static --with-pic
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r examples %{buildroot}%{_datadir}/%{name}/


%post   -n libgpsim%{libversion} -p /sbin/ldconfig

%postun -n libgpsim%{libversion} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS ChangeLog COPYING HISTORY NEWS PROCESSORS
%doc README* TODO
%doc doc/gpsim.pdf
%{_bindir}/gpsim

%files -n libgpsim%{libversion}
%defattr(-,root,root)
%{_libdir}/libgpsim*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/eXdbm
%{_includedir}/gpsim
%{_libdir}/libgpsim*.so
%{_libdir}/libgpsim*.la

%files examples
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sat Jun 24 2017 ecsos@opensuse.org
- new upstream version 0.30.0
  * configure.ac
  : Change to release 0.30.0
  * extras/i2c2par extras/i2c2par/Makefile.am extras/i2c2par/examples
    extras/i2c2par/examples/Makefile.am extras/i2c2par/examples/i2c2par.asm
    extras/i2c2par/i2c2par.cc extras/i2c2par/i2c2par.h
    extras/i2c2par/makefile.mingw extras/i2c2par/module_manager.cc
  : Delete i2c2par source in extras as it is already included
  * extras/lcd/raw_lcd.cc extras/lcd/raw_lcd.h
  : Catch changes on cc pin
  * plat/win32/gpsim.nsi
  : Fix windows cleanup
  * extras/lcd/examples/lcd_916.asm extras/lcd/examples/lcd_917.asm
    extras/lcd/examples/lcd_mod.asm regression/a2d/p16c71.asm
    regression/a2d/p16f819.asm regression/a2d/p16f871.asm
    regression/a2d/p16f873a.asm regression/a2d/p16f874a.asm
    regression/a2d/p16f88.asm regression/ccp/pwm_877a.asm
    regression/comparator/compar_882.asm regression/epwm/p16f882.asm
    regression/epwm/p16f887.asm regression/epwm/p18f1220.asm
    regression/epwm/p18f2321.asm regression/epwm/p18f26k22.asm
    regression/epwm/p18f4321.asm regression/i2c/p16f819.asm
    regression/i2c/p16f88.asm
    regression/instructions_14bit/instructions_14bit.asm
    regression/logic_test/logic_test.asm regression/node_test/node_test.asm
    regression/p16f684/a2d_684.asm regression/p16f684/epwm.asm
    regression/p16f690/epwm.asm regression/p16f84/p16f84.asm
    regression/p16f88x/a2d.asm regression/p16f88x/comparator.asm
    regression/p16f88x/epwm.asm regression/p16f88x/i2c_slave.asm
    regression/p16f88x/p16f882.asm regression/p16f88x/p16f883.asm
    regression/p16f88x/p16f886.asm regression/p16f88x/p16f887.asm
    regression/p16f91x/i2c_slave.asm regression/p16f91x/p16f913.asm
    regression/p16f91x/p16f914.asm regression/p16f91x/p16f916.asm
    regression/p16f91x/p16f917.asm regression/p16f91x/pwm_914.asm
    regression/p1xf18xx/p16f1823_spi.asm regression/psp/p16f871.asm
    regression/psp/p18f452.asm regression/psp/p18f6520.asm
    regression/register_stim/register_stim.asm
    regression/resistor/resistor.asm regression/switch_test/switch_test.asm
  : Align interrupt code
* Mon Aug 31 2015 wk@ire.pw.edu.pl
- new upstream version 0.29.0
* Mon Jan  5 2015 wk@ire.pw.edu.pl
- library package split off
* Sat Nov 15 2014 wk@ire.pw.edu.pl
- new upstream version 0.28.1
* Mon Sep 15 2014 wk@ire.pw.edu.pl
- new upstream version 0.27.0
- removed old patches
- specflie simplified
* Wed Feb  6 2013 joop.boonen@opensuse.org
- Created a glib patch
- Cleaned the spec file up
- Created a seperate examples package
* Sun Feb 14 2010 andrea@opensuse.org
- new upstream version 0.24.0
* Thu Sep 25 2008 lars@linux-schulserver.de
- moved to Education base repository
* Sat Jun 21 2008 Andrea Florio <andrea@opensuse.org>
- dded gcc4.3 path, build now on penSUSE 1.0 too
* Sat Jan  5 2008 lars@linux-schulserver.de
- packaged for openSUSE-Education
* Sun Dec 16 2007 Andrea Florio <andrea@links2linux.de>
- update to version 0.22.0
- patch removed, no more required
* Fri Jul 28 2006 Pascal Bleser <guru@unixtech.be> 0.21.11-2
- added patch to remove extra qualification (to build on SUSE 10.1)
* Fri Jul 28 2006 Pascal Bleser <guru@unixtech.be> 0.21.11-1
- new package
